org.eclipse.ease.lang.python

## Class Pep302ModuleImporter

- java.lang.Object
- - org.eclipse.ease.lang.python.Pep302ModuleImporter

All Implemented Interfaces:
  IScriptEngineLaunchExtension

    public class Pep302ModuleImporter
    extends java.lang.Object
    implements IScriptEngineLaunchExtension

### Constructor Summary

Constructors
Constructor and Description
`Pep302ModuleImporter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createEngine(IScriptEngine engine)` Called upon a script engine creation.
`static java.lang.String` `getCode(java.lang.String moduleName, EnvironmentModule enviromentModule)`
`static boolean` `isModule(java.lang.String candidate)`
`static boolean` `isModulePath(java.lang.String candidate)` Verify if a given path is a subpath of an EASE module.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pep302ModuleImporter

    public Pep302ModuleImporter()

### Method Detail

#### isModulePath

    public static boolean isModulePath(java.lang.String candidate)

Verify if a given path is a subpath of an EASE module.

Parameters:
  `candidate` - module path name candidate
Returns:
  `true` when candidate is a path to an EASE module

#### isModule

    public static boolean isModule(java.lang.String candidate)

#### getCode

    public static java.lang.String getCode(java.lang.String moduleName,
                                           EnvironmentModule enviromentModule)

#### createEngine

    public void createEngine(IScriptEngine engine)

Description copied from interface: `IScriptEngineLaunchExtension`
Called upon a script engine creation. As there might be multiple launch extensions, this might not be the only contribution to the script engine.

Specified by:
  `createEngine` in interface `IScriptEngineLaunchExtension`
Parameters:
  `engine` - engine just created